import 'package:flutter/material.dart';
import 'package:photo/src/entity/options.dart';
import 'package:photo/src/provider/asset_provider.dart';
import 'package:photo/src/provider/i18n_provider.dart';
import 'package:photo_manager/photo_manager.dart';

// ignore_for_file: deprecated_member_use

class PhotoProvider extends ChangeNotifier {
  final Options options;
  final I18nProvider provider;
  final AssetProvider assetProvider = AssetProvider();
  final List<AssetEntity> pickedAssetList;
  PhotoProvider({
    @required this.options,
    @required this.provider,
    List<AssetEntity> pickedAssetList,
  }) : this.pickedAssetList = pickedAssetList ?? [];
  

  @override
  void notifyListeners() {
    super.notifyListeners();
  }
}
